# class ActionDispatch::Http::UploadedFile

### Attributes

content_type[RW]
headers[RW]
original_filename[RW]
tempfile[RW]

### Public Class Methods

new(hash) click to toggle source

    # File lib/action_dispatch/http/upload.rb, line 6
    def initialize(hash)
      @original_filename = encode_filename(hash[:filename])
      @content_type      = hash[:type]
      @headers           = hash[:head]
      @tempfile          = hash[:tempfile]
      raise(ArgumentError, ':tempfile is required') unless @tempfile
    end

### Public Instance Methods

read(*args) click to toggle source

    # File lib/action_dispatch/http/upload.rb, line 14
    def read(*args)
      @tempfile.read(*args)
    end